org.eclipse.rdf4j.query.impl

## Class IteratingTupleQueryResult

- java.lang.Object
- - org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration<E,X>
  - - org.eclipse.rdf4j.common.iteration.IterationWrapper<BindingSet,QueryEvaluationException>
    - - org.eclipse.rdf4j.query.impl.IteratingTupleQueryResult

- All Implemented Interfaces:
    AutoCloseable, Iterable<BindingSet>, CloseableIteration<BindingSet,QueryEvaluationException>, Iteration<BindingSet,QueryEvaluationException>, QueryResult<BindingSet>, TupleQueryResult
  Direct Known Subclasses:
    BackgroundTupleResult, TupleQueryResultImpl

      public class IteratingTupleQueryResult
      extends IterationWrapper<BindingSet,QueryEvaluationException>
      implements TupleQueryResult

  An iterating implementation of the `TupleQueryResult` interface.

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `wrappedIter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IteratingTupleQueryResult(List<String> bindingNames, CloseableIteration<? extends BindingSet,QueryEvaluationException> bindingSetIter)` Creates a query result object with the supplied binding names.
    `IteratingTupleQueryResult(List<String> bindingNames, Iterable<? extends BindingSet> bindingSets)` Creates a query result object with the supplied binding names.
    `IteratingTupleQueryResult(List<String> bindingNames, Iterator<? extends BindingSet> bindingSetIter)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<String>` | `getBindingNames()` Gets the names of the bindings, in order of projection.

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.IterationWrapper

      `handleClose, hasNext, next, remove`

    - ### Methods inherited from class org.eclipse.rdf4j.common.iteration.AbstractCloseableIteration

      `close, isClosed`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.query.QueryResult

      `iterator`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.CloseableIteration

      `close`

    - ### Methods inherited from interface org.eclipse.rdf4j.common.iteration.Iteration

      `hasNext, next, remove, stream`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### IteratingTupleQueryResult

          public IteratingTupleQueryResult(List<String> bindingNames,
                                           Iterable<? extends BindingSet> bindingSets)

      Creates a query result object with the supplied binding names. The supplied list of binding names is assumed to be constant; care should be taken that the contents of this list doesn't change after supplying it to this solution.
      Parameters:
        `bindingNames` - The binding names, in order of projection.

    - #### IteratingTupleQueryResult

          public IteratingTupleQueryResult(List<String> bindingNames,
                                           Iterator<? extends BindingSet> bindingSetIter)

    - #### IteratingTupleQueryResult

          public IteratingTupleQueryResult(List<String> bindingNames,
                                           CloseableIteration<? extends BindingSet,QueryEvaluationException> bindingSetIter)

      Creates a query result object with the supplied binding names. The supplied list of binding names is assumed to be constant; care should be taken that the contents of this list doesn't change after supplying it to this solution.
      Parameters:
        `bindingNames` - The binding names, in order of projection.

  - ### Method Detail

    - #### getBindingNames

          public List<String> getBindingNames()
                                       throws QueryEvaluationException

      Description copied from interface: `TupleQueryResult`
      Gets the names of the bindings, in order of projection.
      Specified by:
        `getBindingNames` in interface `TupleQueryResult`
      Returns:
        The binding names, in order of projection.
      Throws:
        `QueryEvaluationException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.